GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_alarm Struct Reference

`#include <alarm.h>`

## Data Fields
gpr_timespec | deadline
gpr_uint32 | heap_index
int | triggered
struct grpc_alarm * | next
struct grpc_alarm * | prev
grpc_iomgr_cb_func | cb
void * | cb_arg

## Field Documentation

grpc_iomgr_cb_func grpc_alarm::cb

void* grpc_alarm::cb_arg

gpr_timespec grpc_alarm::deadline

gpr_uint32 grpc_alarm::heap_index

struct grpc_alarm* grpc_alarm::next

struct grpc_alarm* grpc_alarm::prev

int grpc_alarm::triggered

The documentation for this struct was generated from the following file:

- src/core/iomgr/alarm.h